Note: This website is archived. For up-to-date information about D projects and development, please visit wiki.dlang.org.

Ticket #159 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

Aliases in unrelated projects affect libraries

Reported by: dhasenan Assigned to: asterite
Priority: minor Component: descent.astview
Version: 0.5 Keywords:
Cc:

Description

I have an alias in one of my projects: alias char[] _mock_str_t;

While working on a different project, I used tango.io.Stdout and looked at the ddoc information for formatln. It claimed to take a _mock_str_t argument for formatting.

This is using 5.3.20090102.

Change History

01/29/09 13:23:24 changed by asterite

  • status changed from new to assigned.
  • owner set to asterite.

Are you talking about the ddoc information that appears when you hover over a symbol, or when you request autocompletion?

02/27/09 19:33:30 changed by doob

I have a test case that may be this problem or a related:

alias char[] string;
string s;

void  main()
{
	Object o;
	o.|
}

In the above code (| is the cursor, as usual) "string" shows up in the autocompletion list instead of char[] for toString.

09/02/09 17:38:11 changed by asterite

  • status changed from assigned to closed.
  • resolution set to fixed.

This was fixed in a previous commit.